#ifndef DOORTESTSUITE_H_
#define DOORTESTSUITE_H_
#include <cxxtest/TestSuite.h>
#include "../inc/Door.h"
class DoorTestSuite:public CxxTest::TestSuite {
	public:
        void setUp() {
        	r1=new Room(1);
        	r2=new Room(2);
        	d=new Door(r1,r2);
        	}
        void tearDown() {
			delete r1;
			delete r2;
			delete d;
        }
		void testGetFrom() {
			TS_ASSERT(r1==d->getFrom());
		}
		void testGetTo() {
			TS_ASSERT(r2==d->getTo());
		}
		void testEnter() {
			r1->enter();
			r2->enter();
		}
		void testOtherSideFrom() {
			TS_ASSERT(r2==d->otherSideFrom(*r1));
			TS_ASSERT(r1==d->otherSideFrom(*r2));
		}
		void testIsOpen() {
			TS_ASSERT(!d->isOpen());
		}
		void testOpen() {
			d->open();
			TS_ASSERT(d->isOpen());
		}
	protected:
		Room *r1,*r2;
		Door *d;
};
#endif /*DOORTESTSUITE_H_*/
